/*
 * Copyright (C) 2021 eichehome
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package server;

import java.io.*;
import java.net.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author eichehome
 */
public class ServerHandelClientsThread extends Thread {

    private Socket clientSocket = null;
    private ClientMessageStore centralMessageStore = null;
    private PrintWriter pr = null;

    @Override
    public void run() {
        boolean continueLoop = true;
        while (continueLoop) {
            try (InputStreamReader in = new InputStreamReader(clientSocket.getInputStream())) {
                pr = new PrintWriter(clientSocket.getOutputStream());
                BufferedReader bf = new BufferedReader(in);
                for(String clientInput = bf.readLine(); clientInput != null; clientInput = bf.readLine()) {
                    System.out.println("client: " + clientInput);
                    pr.write("yes");
                    pr.flush();
                }
            } catch (InterruptedException ex) {
                System.err.println("test gegkückt");
                System.err.println(ex);
                pr.write("Test");
                Thread.currentThread().interrupt();
            } catch (IOException ex) {
                System.err.println("Exeption: " + ex);
                Logger.getLogger(ServerHandelClientsThread.class.getName()).log(Level.SEVERE, null, ex);
                continueLoop = false;
            }
        }
    }

    public ServerHandelClientsThread(Socket socket, ClientMessageStore messageStore) {
        clientSocket = socket;
        centralMessageStore = messageStore;
    }
}
